slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSInitializePackage

This function initializes everything in the DS package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to DSCreate() when using static libraries.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSInitializePackage(void)

### See Also

SlepcInitialize()

### Level

developer

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages